XFuConfigurationDataMusicInfo class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuConfigurationDataMusicInfo Class Reference

Music configuration data type. More...

`#include <XFuConfigurationData.h>`

List of all members.

## Public Member Functions

| XFuConfigurationDataMusicInfo ()
virtual | ~XFuConfigurationDataMusicInfo ()

## Public Attributes

CHAR * | mFilename
| Filename of the sound sample.
FLOAT32 | mSamplingRate
| Sampling rate.
INT | m16Bit
| Non-zero if 16 bit mixing requested, otherwise 8 bit.
INT | mStereo
| Non-zero if stereo requested, otherwise mono.
REAL | mVolume
| Volume (1.0=original volume).
UINT16 | mPriority
| Priority.
UINT32 | mFlags
| Flags, see XFUCONFIGURATIONDATA_AUDIO_INFO_FLAGS.

## Detailed Description

Music configuration data type.

See also:
  XFUCONFIGURATIONDATA_AUDIO_INFO_FLAGS

Definition at line 71 of file XFuConfigurationData.h.

## Constructor & Destructor Documentation

XFuConfigurationDataMusicInfo::XFuConfigurationDataMusicInfo | ( |  | ) | `[inline]`

| Definition at line 84 of file XFuConfigurationData.h.

virtual XFuConfigurationDataMusicInfo::~XFuConfigurationDataMusicInfo | ( |  | ) | `[inline, virtual]`

| Definition at line 88 of file XFuConfigurationData.h.

## Member Data Documentation

INT XFuConfigurationDataMusicInfo::m16Bit

| Non-zero if 16 bit mixing requested, otherwise 8 bit. Definition at line 78 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

CHAR* XFuConfigurationDataMusicInfo::mFilename

| Filename of the sound sample. Definition at line 76 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

UINT32 XFuConfigurationDataMusicInfo::mFlags

| Flags, see XFUCONFIGURATIONDATA_AUDIO_INFO_FLAGS. Definition at line 82 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

UINT16 XFuConfigurationDataMusicInfo::mPriority

| Priority. Definition at line 81 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

FLOAT32 XFuConfigurationDataMusicInfo::mSamplingRate

| Sampling rate. Definition at line 77 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

INT XFuConfigurationDataMusicInfo::mStereo

| Non-zero if stereo requested, otherwise mono. Definition at line 79 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

REAL XFuConfigurationDataMusicInfo::mVolume

| Volume (1.0=original volume). Definition at line 80 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addMusic().

The documentation for this class was generated from the following file:

- XFuConfigurationData.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch